Package org.optaplanner.core.impl.score.stream.drools

## Class DroolsConstraintSessionFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintSessionFactory<Solution_>
  - - org.optaplanner.core.impl.score.stream.drools.DroolsConstraintSessionFactory<Solution_>

- All Implemented Interfaces:
    `ConstraintSessionFactory<Solution_>`

      public class DroolsConstraintSessionFactory<Solution_>
      extends AbstractConstraintSessionFactory<Solution_>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsConstraintSessionFactory​(SolutionDescriptor<Solution_> solutionDescriptor, org.drools.model.Model model, List<DroolsConstraint<Solution_>> constraintList)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintSession<Solution_>` | `buildSession​(boolean constraintMatchEnabled, Solution_ workingSolution)` | This method is thread-safe.

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintSessionFactory

      `getScoreDefinition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsConstraintSessionFactory

          public DroolsConstraintSessionFactory​(SolutionDescriptor<Solution_> solutionDescriptor,
                                                org.drools.model.Model model,
                                                List<DroolsConstraint<Solution_>> constraintList)

  - ### Method Detail

    - #### buildSession

          public ConstraintSession<Solution_> buildSession​(boolean constraintMatchEnabled,
                                                           Solution_ workingSolution)

      Description copied from interface: `ConstraintSessionFactory`
      This method is thread-safe.
      Parameters:
        `constraintMatchEnabled` - true if `ScoreDirector.isConstraintMatchEnabled()` should be true
        `workingSolution` - if null, uniform synthetic constraint weights will be applied
      Returns:
        never null